Subject: [bug#68212] [PATCH v2] gnu: openssh: fix build on ppc64le.

From: Marcel van der Boom <[email-masked]>
Date: Thu, 18 Jan 2024 10:22:10 +0100

This still fails for me, and apparently also on the build farm:

https://ci.guix.gnu.org/build/3266550/details

if I am reading it properly that build is after the described 
patch. The log has the same error as I have locally when building 
openssh

Interestingly, since the openssh release I have this in my 
manifest which *succeeds* in building openssh:

(define-public openssh-next
  (let ((xcommit "1036d77b34a5fa15e56f516b81b9928006848cbd"))
    (package
     (inherit openssh)
     (name "openssh-next")
     (version "9.6p1-1")
     (native-inputs
      (list autoconf
            automake
            pkg-config))
     (source
      (origin
       (method git-fetch)
       (uri (git-reference
             (url 
             "https://github.com/openssh/openssh-portable.git")
             (commit xcommit)))
       (file-name (git-file-name name version))
       (patches (search-patches 
       "openssh-trust-guix-store-directory.patch"))
       (sha256
        (base32 
        "1sary1ig972l4zjvpzncf9whfp5ab8snff2fw9sy5a8pda5n2a7w")))))))

This just refers to the commit that holds the patch, so in theory 
it should be the same as the applied patch, no?

Am I overlooking something?

[Jack Hill]:
> This was applied to master by Ludo’ in 
> ef270f9d73203c1b19c6163ce4d4257a52bfb605

> Thanks and closing!

> Best,
> Jack

--
Marcel van der Boom → [email-masked]